Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000044Core InformKinds and type checkingpublic2010-06-16 07:182010-07-01 23:07
Reporterfundin 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000044: Lack of type checking in arithmetic phrases
DescriptionArithmetic phrases can be applied to non-arithmetic values
without triggering any problem reports.
Minimal Source Text To Reproduce
Home is a room.

When play begins: showme "apples" plus "bananas".
Additional InformationThe arithmetic phrases in the Standard Rules are defined as applying to "arithmetic value" parameters, but other types (including text, indexed text, and object) are accepted as long as both parameters are the same type.

This version crashes the compiler with code 10:

  Home is a room.
  
  When play begins: showme the square root of "hello".
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships

-  Notes
(0000045)
graham (administrator)
2010-06-18 15:39

Fixed (both parts) - an oversight.

- Issue History
Date Modified Username Field Change
2010-06-16 07:18 fundin New Issue
2010-06-16 08:03 jmcgrew Status new => acknowledged
2010-06-18 01:45 jmcgrew Severity mild => critical
2010-06-18 01:45 jmcgrew Status acknowledged => confirmed
2010-06-18 01:45 jmcgrew Additional Information Updated View Revisions
2010-06-18 01:45 jmcgrew Effect (mild) Compiler accepts invalid code => (critical) Compiler crashes
2010-06-18 15:39 graham Note Added: 0000045
2010-06-18 15:39 graham Status confirmed => resolved
2010-06-18 15:39 graham Resolution open => fixed
2010-06-18 15:39 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker